# Parameters

## `log_level` (integer)

Log level at which accounting messages are issued to syslog.

Default value is L_NOTICE.

### log_level example

    modparam("acc", "log_level", 2)   # Set log_level to 2

## `log_fmt` (string)

Defines what parts of header fields will be printed to syslog, see "overview" for list of accepted values.

Default value is "miocfs".

### log_fmt example

    modparam("acc", "log_fmt", "mfs")

## `early_media` (integer)

Should be early media (183) accounted too ?

Default value is 0 (no).

### early_media example

    modparam("acc", "early_media", 1)

## `failed_transactions` (integer)

This parameter controls whether failed transactions (with final reply >= 300) should be accounted too.

Default value is 0 (no).

### failed_transactions example

    modparam("acc", "failed_transactions", 1)

## `log_flag` (integer)

Request flag which needs to be set to account a transaction.

Default value is 1.

### log_flag example

    modparam("acc", "log_flag", 2)

## `log_missed_flag` (integer)

Request flag which needs to be set to account missed calls.

Default value is 2.

### log_missed_flag example

    modparam("acc", "log_missed_flag", 3)

## `report_ack` (integer)

Shall acc attempt to account e2e ACKs too ? Note that this is really only an attempt, as e2e ACKs may take a different path (unless RR enabled) and mismatch original INVITE (e2e ACKs are a separate transaction).

Default value is 1 (yes).

### report_ack example

    modparam("acc", "report_ack", 0)

## `report_cancels` (integer)

By default, CANCEL reporting is disabled -- most accounting applications are happy to see INVITE's cancellation status. Turn on if you explicitly want to account CANCEL transactions.

Default value is 0 (no).

### report_cancels example

    modparam("acc", "report_cancels", 1)

## `radius_config` (string)

This parameter is radius specific. Path to radius client configuration file, set the referred config file correctly and specify there address of server, shared secret (should equal that in `/usr/local/etc/raddb/clients` for freeRadius servers) and dictionary, see etc for an example of config file and dictionary.

Default value is /usr/local/etc/radiusclient/radiusclient.conf.

### radius_config example

    modparam("acc", "radius_config", "/etc/radiusclient/radiusclient.conf")

## `service_type` (integer)

Radius service type used for accounting.

Default value is 15 (SIP).

### service_type example

    modparam("acc", "service_type", 16)

## `radius_flag` (integer)

Request flag which needs to be set to account a transaction -- RADIUS specific.

Default value is 1.

### radius_flag example

    		modparam("acc", "radius_flag", 2)

## `radius_missed_flag` (integer)

Request flag which needs to be set to account missed calls -- RADIUS specific.

Default value is 2.

### radius_missed_flag example

    modparam("acc", "radius_missed_flag", 3)

## `db_url` (string)

SQL address -- database specific.

Default value is "mysql://ser:heslo@localhost/ser"

### db_url example

    modparam("acc", "db_url", "mysql://user:password@localhost/ser")

## `db_flag` (integer)

Request flag which needs to be set to account a transaction -- database specific.

Default value is 1.

### db_flag example

    modparam("acc", "db_flag", 2)

## `db_missed_flag` (integer)

Request flag which needs to be set to account missed calls -- database specific.

Default value is 2.

### db_missed_flag example

    modparam("acc", "db_missed_flag", 3)

## `diameter_flag` (integer)

Request flag which needs to be set to account a transaction -- DIAMETER specific.

Default value is 1.

### diameter_flag example

    modparam("acc", "diameter_flag", 2)

## `diameter_missed_flag` (integer)

Request flag which needs to be set to account missed calls -- DIAMETER specific.

Default value is 2.

### diameter_missed_flag example

    modparam("acc", "diameter_missed_flag", 3)

## `diameter_client_host` (string)

Hostname of the machine where the DIAMETER Client is running -- DIAMETER specific.

Default value is "localhost".

### diameter_client_host example

    modparam("acc", "diameter_client_host", "iptel.org")

## `diameter_client_port` (int)

Port number where the Diameter Client is listening -- DIAMETER specific.

Default value is 3000.

### diameter_client_host example

    modparam("acc", "diameter_client_port", 3000)